Skip to main content
List user's pipelines
curl --request GET \
  --url https://api.ionworks.com/pipelines
{
  "pipelines": [
    {
      "id": "<string>",
      "project_id": "<string>",
      "name": "<string>",
      "status": "pending",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "user_id": "<string>",
      "description": "<string>",
      "options": {
        "live_progress_updates": true
      },
      "error": "<string>",
      "error_code": "EXECUTION_TIMEOUT",
      "created_by_email": "<string>",
      "organization_id": "<string>",
      "elements": []
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

project_id
string | null
skip
integer
default:0
limit
integer
default:100
id
string | null
name
string | null
description
string | null
status
string | null
created_by_email
string | null
created_at
string | null
updated_at
string | null
created_at_gt
string | null
created_at_lt
string | null
updated_at_gt
string | null
updated_at_lt
string | null
order_by
enum<string>
default:created_at
Available options:
name,
id,
description,
status,
created_at,
updated_at,
created_by_email
order
enum<string>
default:desc
Available options:
asc,
desc

Response

Successful Response

Schema for listing pipelines with pagination

pipelines
PipelineWithElementStatus · object[]
required
total
integer
required